﻿-- Author      : RisM
-- Create Date : 5/21/2009 10:56:30 PM

-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local HELPFILE = AceLocale:NewLocale("SpeakinSpell_HELPFILE", "enUS", true)
if not HELPFILE then return end

SpeakinSpell:PrintLoading("Locales/help-enUS.lua")

----------------------------------------------------------------------------------------
--[[ The format of each page is as follows:
	["Chapter Title"] = "Contents"
--]]

--ATTENTION TRANSLATORS:
--	The complete user's manual in this file is a long and wordy thing covering many topics
--	it is likely to grow and change in many ways and very often as I enhance SpeakinSpell
--	because this is where we fully document how to use each and every feature.
--
--	Because of this problem that the user's manual will change very frequently,
--	I made the programming code very flexible in how this data is used.
--	very flexible.
--
--	Unlike most of Locale-xxXX.lua, you are free to change the complete contents of
--	HELPFILE.PAGES (the following table)
--	including the table keys which are used as chapter titles
--	the contents of each chapter of course
--	the order of the contents
--	and you are also free to change the number of chapters to add, remove, and reorganize
--
--	I want you to be able to completely reorganize this user's manual as you see fit
--	Given that languages and cultures are very different, you may be able to convey the 
--	information better if you organized it differently.
--	You are free to do that and it should work - try it and see.
--	
----------------------------------------------------------------------------------------
HELPFILE.PAGES = {

----------------------------------------------------------------------------------------
["1. About SpeakinSpell"] = {
order = 1,
Summary = "About SpeakinSpell",
Contents = [[

Funny and/or Useful, SpeakinSpell will use random speeches in chat to announce when you use spells and other abilities, as well as items, procced effects, other events, and user-defined macros.

Works with all classes. Configurable for many different situations.

Project home page:
http://www.wowace.com/projects/speakinspell/

Curse download page:
http://wow.curse.com/downloads/wow-addons/details/speakinspell.aspx

Please submit any feature requests and bug reports here:
http://www.wowace.com/projects/speakinspell/create-ticket/

Brought to you by Stonarius of Antonidas
and many other important people - please read the credits!
]],
},

----------------------------------------------------------------------------------------
["2. Basic Instructions"] = {
order = 2,
Summary = "Getting Started with SpeakinSpell",
Contents = [[

How to setup SpeakinSpell in a few easy steps:

1. Login and play your toon for a few minutes. 

2. Activate any abilities, trigger any procced effects, and encounter any other detectable events that you would like SpeakinSpell to announce. 

3. Type "/SpeakinSpell" ("/ss" also works) to access the interface options panel 

4. Click on "Create New..." or type "/ss create" to create settings for a new spell or other event 

5. Select the desired spell or event from the list and click the Create button. You will be taken to the settings page for that spell or event. 

6. Change the settings to your tastes and write as many speeches as you want. Now whenever you cast that spell or encounter that event, SpeakinSpell will say one of your random messages for that event, using the channels and other rules that you defined. 

7. Repeat until you run out of ideas for new announcements to write. 
]],
},

----------------------------------------------------------------------------------------
["3. Features"] = {
order = 3,
Summary = "Overview of All Features",
Contents = [[

Can detect a variety of "Speech Events" and automatically announce them in the chat using a random selection from a list of user-defined speeches (some defaults are provided for you as examples). This includes: 
- Spells you cast 
- All other abilities for any class (a warrior's Heroic Strike is also technically considered a "spell") 
- Anything you can equip in your action bar 
- Items 
- Procced effects (buffs that you receive from yourself) 
- Other events (Login, etc) 
- whenever you type "/ss macro something" 

Up to 100 speeches can be entered per spell. 

Each spells' random speeches can be directed to any chat channel you choose 

Supports different channel options for different scenarios: solo, group, raid, BG, and arena. 

Fully configurable through the interface options panel. 

Includes funny default speeches for many spells for all classes 

All of your settings apply only to this character.  All user-defined speeches and other settings are saved separately per character.

Supports many substitution variables such as <player>, <target>, <targetclass>, <targetrace>, and many more, including possessive forms, and ways to avoid naming yourself in the third person.

Never says the same message for a given spell twice in a row (unless you only have 1 message defined for that spell) 

Can be configured to only announce the use of a spell based on a random chance. This is a user-configurable percent chance per spell. This can be useful for roleplaying purposes, or to cut down on the amount of spell-triggered spam you generate in chat. 

Can be configured to use a cooldown on spell announcements for each spell. This can be used to prevent announcing spell casting too often for frequently used spells 

Can be configured to limit event announcements to once per combat and/or once per target.

Can whisper messages to the target of your spell. This can be useful for resurrect style spells, innervate, power infusion, etc. 

When you get compliments on your "macros" use "/ss ad" to tell your friends about SpeakinSpell. Some of the random ads are funny. Yes, it's an addon that spams random text in chat, and it has a feature to spam random text to advertise it's ability to spam random text. See "Chapter 4. Slash Commands" for details.

Detection of other events such as Login, Entering Combat, Changed Zone, etc.  See "Chapter 11. Other Events" for details.

Create your own event with Custom Defined User Macros. Type "/ss macro something" to make SpeakinSpell detect a pseudo spell event called "when I type: /ss macro something" which you can setup to be announced with random speeches. See "Chapter 10. Custom Macros" for details.
]],
},

----------------------------------------------------------------------------------------
["4. Slash Commands"] = {
order = 4,
Summary = "/ss commands",
Contents = [[

/ss
- show options (same as "/ss toggle" or right-clicking the minimap button)

/ss toggle
- open or re-open the SpeakinSpell GUI

/ss options
- show General Settings

/ss help
- show this help

/ss create
- open the Create New... interface, to create message settings for a new event

/ss messages
- open the Message Settings interface to edit your current settings

/ss random
- open the Random Substitutions editor

/ss reset
- reset all settings to defaults

/ss ad
- tell your friends about this addon (using a default channel)

/ss ad /p
- tell your party (chat channel) about this addon (/s or /ra also works)

/ss ad /w stonarius
- whisper to your friend Stonarius about this addon

/ss macro <something>
- activate a Speech Event called "When I type: /ss macro <something>".  See also "10. Custom Macros"

/ss testallsubs
- reports the value of all possible substitutions for the current event

/ss memory
- shows how much memory SpeakinSpell is using

]],
},

----------------------------------------------------------------------------------------
["5. < Substitutions >"] = {
order = 5,
Summary = "A comprehensive list of all substitutions you can use in your speeches, such as <target>, <caster>, <spellname>, etc.",
Contents = [[

Each random message may refer to the player casting the spell, the target of the spell, and several other pieces of information which may be provided for you automatically by SpeakinSpell

Following is a complete list of variables which you may insert in random messages to use this feature.  The angle brackets <> are required.

<player>
- Your name

<playertitle>
- Your current title, for example "the Explorer"

<playerfulltitle>
- your name with your title included

<caster>
- The name of the person or entity casting the spell or effect
- not always the same as <player>

<target>
- The name of the target on whom you are casting the spell.
- As often as possible, this will be the true actual target of your spell (not necessarily your currently selected target)
- If the target is undefined for an event, <target> will use the value of <selected>, <focus>, <mouseover>, or <player> (in that order)

<targetclass>
- Your target's class, as in "Casting DI on the <targetclass>" becomes "Casting DI on the Priest"

<targetrace>
- Your target's race, as in "Casting DI on the <targetrace>" becomes "Casting DI on the Dwarf"

<focus>
- The name of your focus target (/focus)

<selected>
- The name of your selected target only

<mouseover>
- The name of the player or NPC under your mouse

<spellname>
- The complete name of the spell that you are casting (the spell's rank is not included)

<spellrank> 
- The rank of the spell. 
- For greater flexibility, parentheses are not included by the substitution, so default usage would be "<spellname> (<spellrank>)" -> "Fishing (Artisan)" or "Arcane Intellect (Rank 2)" 

<spelllink>
- Creates a clickable link to the spell in chat

<pet>
- The name of your combat pet (not for use with vanity pets)
- Due to a limitation of the WoW LUA API, this substitution does not work when summoning your pet. It only works after your pet has already been summoned.

<TM>
- The trademark symbol, as in Stonarius' Magical Biscuits™

<C>
- The copyright symbol, as in Copyright © 2008

<R>
- The registered trademark symbol, as in Speak & Spell ® is a registered trademark of Texas Instruments (or at least I assume it is)

<newline>
- This will split a speech into more than one line of text, so you can say two speeches at the same time
- "For the Horde!<newline>/cheer" will say "For the Horde!" in your selected channel, and then make you do "/cheer" at the same time.
- (For the same effect, it is also valid to type a new line into the multi-line edit boxes for the speeches)

<realm>
- The name of your realm server

<zone>
- The name of your current region, zone, or location, at a high level of the greater area, for example "Dalaran"

<subzone>
- The name of the smaller area you are in within the zone, for example "The Eventide"
- This will match the location shown on your minimap

<guild>
- The name of your guild

<home>
- The name of your home inn / hearthstone location

<arenaN>
- Opposing arena member with index N (1,2,3,4,5). 

<partyN>
- The Nth party member excluding the player (1,2,3 or 4). 

<partypetN>
- The pet of the Nth party member (N is 1,2,3, or 4) (Added in 1.5.0). 

<raidN>
- The raid member with raidIndex N (1,2,3,...,40). 

<raidpetN>
- The pet of the raid member with raidIndex N (1,2,3,...,40) (Added in 1.5.0) 

<vehicle>
- The current player's vehicle.

<scenario> 
- "The Arena", "A Battleground", "Wintergrasp", "A Raid", etc

<eventtype> 
- "Spells, Abilities, and Items (Start Casting)", etc

<eventtypeprefix> 
- "When I Start Casting: " etc.

Random Substitutions: <randomfaction>, <randomtaunt>, etc
- Various randomly-generated substitutions are available
- each time you use a random substutition, a different value will be used
- click on Random Substitutions to your left, or type "/ss random" to edit the lists

Also all other UnitId values which may be used with the UnitName() API, including targets of targets.

You can append the suffix target to any UnitId to get a UnitId which refers to that unit's target (e.g. "partypet2target"). This appending can be repeated indefinitely (e.g. "playertargettarget"), though you will observe an attendant performance hit if you overdo it, as the game engine has to jump from target to target.

If you are using a party or raid member's name as a unit, you need to use hyphens to separate the target chain (e.g. "Stonarius-target-target"). 

Also supports possessive forms of all of the above.  For details, see chapter 7. Possessive Forms.

]],
},

----------------------------------------------------------------------------------------
["6. Third Person|me"] = {
order = 6,
Summary = "How to avoid talking about yourself in the third-person by using advanced substitution forms like <target|me>",
Contents = [[

<target|me>
<target|myself>
<target|___>

Allows specifying alternate text to avoid speaking about yourself in the third person.

This works just like <target> unless that target is yourself, in which case the alternate text after the | is used instead.

For example, to announce the Priest spell Power Word: Shield, one might write a SpeakinSpell speech to say "Don't panic! I have protected <target|myself> from harm!"

When you cast Power Word: Shield on your friend, Stonarius, it comes out as "Don't panic! I have protected Stonarius from harm!"

And when you cast on yourself, it will say "Don't panic! I have protected myself from harm!" instead of using your own name.

This feature works for any substitution, for example:
My target is <target|myself>, I set my focus to <focus|me>, I have <selected|myself> selected, My mouse is over <mouseover|my portrait>, and I call this pet <pet|Junior>

In any case, if the substitution would use your own name, it will instead use the text to the right of the |.

This also works with possessive forms (see chapter 7. Possessive Forms)
]],
},

----------------------------------------------------------------------------------------
["7. Possessive Forms"] = {
order = 7,
Summary = "How to make SpeakinSpell use the correct possessive forms for names ending in 's'",
Contents = [[

Every substitution supports a possessive form, which will use the proper apostrophe for Stonarius' or Meneldill's, including:
<player's>
<focus'>
<pet's>
<selected's>
<mouseover's>
<randomfaction's>

... actually everything else too.

If the name ends in an S, it's possessive form will be like Stonarius', otherwise it will be like Meneldill's

If you are watching out for <third person|me> you can write <target's|mine>
]],
},

----------------------------------------------------------------------------------------
["8. Gender"] = {
order = 8,
Summary = "How to show male or female words in substitutions, based on the gender of your target",
Contents = [[

To refer to the gender of a substitution, use the * star symbol, followed by the text you want to show for a male and a female

Here is an example
The target is <target*male*female>

Combined with "third person or me" logic, we can write
<caster*he*she|I> cast a spell!

Possessive forms also work
<mouseover's*his*her|my> target is <mouseovertarget*a boy*a girl|me... hey!>

The male text always comes first, and then the female.  It's not sexist; it was arbitrary.

It chooses male or female text based on the gender of the unit whose name would otherwise be used.

If the gender is unknown or neutral, it will use the name instead.

]],
},

----------------------------------------------------------------------------------------
["9. <target> Info"] = {
order = 9,
Summary = [[Why doesn't it use the correct <target> name sometimes?

What if I'm focus casting?

What if I have the tank targetted but then use Healbot to raid heal someone else?]],
Contents = [[

Why doesn't it use the correct <target> name sometimes?
What if I'm focus casting?
What if I have the tank targetted but then use Healbot to raid heal someone else?

The WoW interface offers many ways to target and cast spells, only one of which is to select a target, and then cast a spell (on that target by default).  Take a moment to consider the many other ways to cast spells, such as clicking a spell first to get a special cursor, and then clicking on a target player or mob, or using focused casting (/focus), or macros, or other addons to target and cast your spells and abilities.

SpeakinSpell will use the actual true target of your spell as often as possible for providing your <target> name, just like using %t in a macro that you build in the default UI, which is what you would naturally expect.

However, in some cases, the spell targetting information is not provided by Blizzard's WoW LUA API when it notifies SpeakinSpell that a spell has been cast.  The most common of these cases include casting spells on dead players who released their spirits (i.e. resurrection), and non-targetable spells which are self-cast only (i.e. a Warrior's Shield Wall).

In these cases, SpeakinSpell has to make its best guess.  It will try to use a target name from the following sources (in this order):

1) the target name provided with the spell casting event notification (if available, this will be the true spell target)
2) else will try to get your currently selected target, if you have one selected (UnitName("target") API, same value as <selected>)
3) else will try to get your focus target's name, if you have a focus set (UnitName("focus") API, same value as <focus>)
4) else will try to use the name of the player of NPC under your mouse (UnitName("mouseover") API, same value as <mouseover>)
4) else it will assume self-cast and use your own name (UnitName("player") API, same value as <player>)

Chances are pretty good that this method will retrieve the correct name of the target of your spell, but it's not guaranteed because of the variety of ways to cast spells in WoW.

If you are working with non-targettable spells, or certain spells which are simply bugged by Blizzard, then you should use <target> with care, and consider alternative substitutions for <caster>, <player>, <focus>, <selected>, or <mouseover> may be helpful for making your speeches come out right.

This limitation also applies to <targetrace> and <targetclass>.  The same target selection will be used to determine the race and class.
]],
},

----------------------------------------------------------------------------------------
["10. Custom Macros"] = {
order = 10,
Summary = "How to create custom Speech Events",
Contents = [[

What Is a Custom Macro?

A Custom Macro is a kind of event which can be announced in the chat using a random speech just like any spell, ability, or other detected event.  They can also be used for more advanced applications to create a list of speeches that are shared by more than one spell, and to create separate lists of speeches which can be used by the same spell when you're in different scenarios.


How do I create a Custom Macro?

To get started creating a User-Defined Custom Macro Event, simply type in "/ss macro ___" and fill in the blank with whatever you want to call this macro.

If this is the first time you've typed this particular "/ss macro ___", then SpeakinSpell will prompt you to create new message settings for this event (as if you had also typed "/ss create")  You must type "/ss macro ___" at least once to make it show up under the Create New interface in the SpeakinSpell options.

If you already created message settings for the event "When I type: /ss macro something" then typing "/ss macro something" will trigger that event and speak one of your messages, just like a spell event.

If you would like to create a different Custom Macro, simply use a different name to fill in the blank.  The macro command must begin with "/ss macro" and then a space, but then you can give the rest of the macro any name you choose, in order to define any number of user-defined macros.


What can I use this for?

This features adds an extensive amount of flexibility into SpeakinSpell to allow you to do many advanced things.

User-Defined Events: The most obvious application is to announce events that SpeakinSpell is incapable of detecting automatically, such as events of human interaction including greetings, pull announcements, or battle cries.  You may use a WoW game macro (/m) to create a button that performs "/ss macro ____", and then click that button manually when you know the event has occured (or bind a key to it), for example to announce when you're about to pull, or to declare that the readycheck passed, or when you want to say hello to someone, or anything you can think of.  SpeakinSpell comes with a sample of this application for battle cries, when you type "/ss macro battlecry"

SpeakinSpell can trigger itself: Instead of creating a button, you may also use "/ss macro something" as one of your SpeakinSpell speeches for any spell or other event that SpeakinSpell announces, or even "/ss macro one thing<newline>/ss macro another thing" to have a single spell cast trigger two (or more) separate Custom Macro events every time you cast it.

Spell Groups: You may use this feature to create a group of spells which all share the same list of random speeches.  For example you could create "/ss macro fire spells" and then configure both of the events "When I start casting: Fireball" and "When I start casting: Scorch" to use a single random speech: "/ss macro fire spells".  Then put the list of speeches you want to share for those fire spells under the event "When I type: /ss macro fire spells".  Now when you cast Fireball, that will trigger "/ss macro fire spells" which will say a random speech from the same list used when you cast Scorch, because you set up Scorch so that it also says "/ss macro fire spells".

Same Spell, Different Speeches when grouped vs. solo: You may also use this feature to create separate lists of speeches for the same spell when you cast it in different scenarios.  For example if you want to say "I'm solo" when you cast Fireball when you're solo, but "I'm in a group" when you cast Fireball in a group, but never vice-versa, then you could configure "When I start casting: Fireball" to use the <newline> feature to simultaneously perform two Custom Macro events in the same speech, for example "/ss macro fireball solo<newline>/ss macro fireball group".  Then set up the event "When I type: /ss macro fireball solo" to say "I'm solo" using the Say channel when solo, but silent in the other situations.  Then do the same thing for your second event "When I type: /ss macro fireball group" but set it to only speak when you're in a group, but silent in other scenarios.  Every time you cast Fireball, it will trigger both events, one of which speaks with one set of speeches and settings only when solo, and the other which uses a separate list of speeches and settings only when in a group.
]],
},

----------------------------------------------------------------------------------------
["11. Other Events"] = {
order = 11,
Summary = "A list of other Speech Events that SpeakinSpell can announce.",
Contents = [[

SpeakinSpell can also detect other events.  These will show up in the list under the Create New... interface (/ss create)

"System Event: SpeakinSpell Loaded"
This pseudo spell event is detected at login or whenever you reload your UI.

"System Event: Entering Combat"
"System Event: Exiting Combat"
Theses two events are detected whenever you enter or exit the state of being "in combat" technically based on the WoW LUA API events PLAYER_REGEN_ENABLED and PLAYER_REGEN_DISABLED.

"System Event: Changed Zone"
"System Event: Changed Sub-Zone"
These two events are detected as you move around the world map.
The Zone is the larger map region.  The Sub-Zone name is the smaller area, and what is usually displayed on your minimap.
This applies to entering and exiting instances
]],
},

----------------------------------------------------------------------------------------
["12. Emotes"] = {
order = 12,
Summary = "How to use voice emotes and other slash commands in speeches",
Contents = [[

If you select Emote as a channel in the drop-down list, that represents the emote channel, which is equivalent to typing "/e makes strange gestures"

SpeakinSpell also supports the game's built-in voice emotes and other slash commands.

Just type them into your speeches with the slash at the beginning of a line like you normally would
/roar
/attacktarget
/yes
etc.

You can also use chat channel slash commands like /p to override the channel rules for a single speech.
/p usually I spam this macro in the /say channel, but this one message belongs in party chat
/2 this lets me spam global channel 2 in response to a SpeakinSpell event
etc.

You can also use SpeakinSpell to trigger itself by entering /ss commands into an event's random speeches
/ss macro fire spells
etc.

Other addons' commands usually work too
/wt
/qh settings
etc.

Any slash command supported by the game, or that you could use in a macro, will typically work.

Due to a limitation imposed by Blizzard, you can't use this feature to execute /cast and some other secure commands, because that could potentially be used for botting.  SpeakinSpell will show you a warning if you attempt to do this.
]],
},

----------------------------------------------------------------------------------------
["13. Change History"] = {
order = 13,
Summary = "Where to look for the change history",
Contents = [[

See \Interface\Addons\SpeakinSpell\ChangeLog.txt for complete version history at the major feature level

Consult the changes documented on the website for more detailed change history at the code file level.
Click on "Changes" at the following link:
http://wow.curse.com/downloads/wow-addons/details/speakinspell.aspx
]],
},

----------------------------------------------------------------------------------------
["14. Version Number"] = {
order = 14,
Summary = "How to Interpret the Version Number",
Contents = [[

The current version number is displayed on the General Settings screen, and shows in the chat when you login.

The SpeakinSpell version number is composed of the WoW client version number that SpeakinSpell was built and tested against, followed by an incremental SpeakinSpell version number

For example SpeakinSpell version 3.0.3.05 was built against WoW client version 3.0.3, and is SpeakinSpell release 5 against that version of WoW

When WoW 3.1.0 comes out, the next SpeakinSpell release will be SpeakinSpell v3.1.0.01
]],
},

----------------------------------------------------------------------------------------
["15. Non-English Game Clients"] = {
order = 15,
Summary = "Does SpeakinSpell work in my language?",
Contents = [[

How to Setup SpeakinSpell in Any Language

If SpeakinSpell has not yet been localized into your native language, don't worry, it can still work for you. 

The core design concepts in SpeakinSpell which enable it to work on any spell for any class also enable it to work in any non-English version of the WoW game client. The slash commands and labels in the options interface will of course appear in English, as well as the default example spell settings and random speeches. However, the core functionality of detecting user-selected spells and events, and announcing them with user-defined speeches, will continue to function in any language. 

]],
},

----------------------------------------------------------------------------------------
["16. Origin Story"] = {
order = 16,
Summary = [[The Origins of SpeakinSpell
(or... Lame Story of a Thanksgiving Dream)]],
Contents = [[

The Origins of SpeakinSpell
(or... Lame Story of a Thanksgiving Dream)


The name SpeakinSpell is a play on a common mode of speech in the American Midwest, also commonly used by the Dwarves of Azeroth, where we tend to drop the 'g' from words ending in "ing" and say Speakin' instead of Speaking.  So a Speakin' Spell is a spell that speaks.

SpeakinSpell is also intended to be a reference to an educational children's toy that I grew up with in the early 1980s.

http://en.wikipedia.org/wiki/Speak_&_Spell_(game)

SpeakinSpell was written entirely from scratch using Ace3 libraries and tutorials that I found online, and following some examples of code fragments and addon architecture concepts from Titan, Omen, and Recount. (all addons that I highly respect)

It was inspired by class-specific addons like Cryolysis for mages or Necrosis for warlocks.  The author's main character is a mage (Stonarius of Antonidas) and I, the author, quite enjoyed the humor of using the random speeches feature of Cryolisis2, particularly for announcing Ritual of Refreshment using my own customized random speeches, most of which were inspired by the advertising language I found on food boxes in my kitchen (for example a box of cereal that said "It's Cinnamontastic!™".  Seriously, I kid you not, they trademarked the word Cinnamontastic LOL)

Unfortunately, Cryolisis2 broke down when WoW 3.0 was released, and I was disappointed that the random speeches feature was not planned to be restored by the new author in the updated rewrite of Cryolysis3.  Something had to be done about that...

I also preferred to write my own customized random speeches for Cryolysis2, but the only way I had to do that was to edit LUA files, where my changes would always be lost whenever I installed a new updated version of the addon, which would of course overwrite the LUA files and destroy my changes.

So I dreamed of an in-game interface to edit the speeches, in a way that they would be saved in the SavedVariables files where they would be safe from changes to the supporting LUA code (which are necessary to keep addons running from patch to patch), so that future patches would not destroy the custom speeches that I had spent hours writing into the wittiest possible things I could think of to say about the spells that I was casting.

I also found (with Cryolisis2) that while Polymorph announcements could be nice in a 5-man group, they became quite annoying in 25-man raids when resheeping the same mob 20 times in a row throughout the same combat, in which situations I was often asked to turn it off.  Finding that a bit of a hassle to change the settings every time I joined or left a raid, I dreamed of having that logic built into my spell-speaking addon.

I dreamed about making that addon for a long time, maybe almost a year, but dreaded facing the learning curve.  Even though I have 10 years XP in C++, learning to program in LUA is like relearning how to play paladin after the 3.0 patch, and I just didn't feel like tackling that.  But then one day I randomly thought of the Speak & Spell toy, and thus the addon name Speakin' Spell, and thought "OK, that seals it, now I absolutley MUST make that addon" and the next day began the long weekend of Thanksgiving 2008, giving me ample time...

And so SpeakinSpell was born.

Thank you for using SpeakinSpell.  It's Mannabiscuitalicious!™ :P

er... ummm... compatible with WotLK and level 80 now... so uh...

Thank you for using SpeakinSpell.  It's Manastrudeltastic!™ :P
]],
},

----------------------------------------------------------------------------------------
["17. Credits"] = {
order = 17,
Summary = [[SpeakinSpell is brought to you by an educational children's toy, the letter 'R', and contributions from viewers like you...]],
Contents = [[

SpeakinSpell was created by...
- Stonarius of Antonidas 

Primary Beta Testing, Arena Team Pwnage, Key Grip...
- Meneldill

Translators who help me in so many other ways...
- leXin for the German deDE
- troth75 for the Korean koKR

Many of the default speeches were blatantly stolen from...
- Cryolysis2
- Necrosis
- LunarSphere
- Ultimate Warcraft Battlecry Generator

Thanks for the open license guys!  I hope you like what I did with it.

Special thanks to the authors of these addons that I use as a model for how addons should be made...
- Titan
- Omen
- Recount
- Healbot 
- the WowAce libs

Thank you to the community on the wowace forums for much appreciated LUA coding help. 

Thanks to Blizzard Entertainment for this great game! ... hire me??

No animals were harmed in the making of this addon.

... Well, the hunter popped a sheep with his aoe, but I resheeped with my /cast [target=focus] macro, and said "Baaah! sheeped again <target>?!" and it was all good...
]],
},

----------------------------------------------------------------------------------------
} -- end HELPFILE.PAGES


--ATTENTION TRANSLATORS:
-- When the user types an invalid /ss command
-- the interface options window will be opened to display this chapter of the user's manual defined above
-- to show which are the valid slash commands
HELPFILE.SLASH_COMMANDS = 4

